> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a vehicle's charge policy



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/charge-policy
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/charge-policy:
    get:
      tags:
        - Electric Vehicle Charge Policies
      summary: Get a vehicle's charge policy
      operationId: >-
        integrations_api_api_v2_organizations_users_electric_vehicles_charge_policy_charge_policy_router_get
      parameters:
        - in: path
          name: org_id
          schema:
            description: The org ID that the user belongs to
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The org ID that the user belongs to
        - in: path
          name: user_id
          schema:
            description: The user ID of the user whom the electric vehicle belongs to
            format: uuid
            title: User Id
            type: string
          required: true
          description: The user ID of the user whom the electric vehicle belongs to
        - in: path
          name: electric_vehicle_id
          schema:
            description: The ID of the electric vehicle
            format: uuid
            title: Electric Vehicle Id
            type: string
          required: true
          description: The ID of the electric vehicle
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChargePolicyOutput'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChargePolicyOutput'
      security:
        - OAuth2: []
components:
  schemas:
    ChargePolicyOutput:
      properties:
        metadata:
          $ref: '#/components/schemas/ChargePolicyOutputMetadata'
        data:
          anyOf:
            - $ref: '#/components/schemas/ChargeWeeklyPolicySchema'
            - type: 'null'
      required:
        - metadata
        - data
      title: ChargePolicyOutput
      type: object
    ChargePolicyOutputMetadata:
      properties:
        electric_vehicle_id:
          format: uuid
          title: Electric Vehicle Id
          type: string
        user_id:
          format: uuid
          title: User Id
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      required:
        - electric_vehicle_id
        - user_id
      title: ChargePolicyOutputMetadata
      type: object
    ChargeWeeklyPolicySchema:
      properties:
        mon:
          $ref: '#/components/schemas/ChargePolicySchema'
        tue:
          $ref: '#/components/schemas/ChargePolicySchema'
        wed:
          $ref: '#/components/schemas/ChargePolicySchema'
        thu:
          $ref: '#/components/schemas/ChargePolicySchema'
        fri:
          $ref: '#/components/schemas/ChargePolicySchema'
        sat:
          $ref: '#/components/schemas/ChargePolicySchema'
        sun:
          $ref: '#/components/schemas/ChargePolicySchema'
        timezone:
          description: >-
            The time zone from where the charge policy is sent, according to the
            IANA time zone database
          maxLength: 40
          title: Timezone
          type: string
      required:
        - mon
        - tue
        - wed
        - thu
        - fri
        - sat
        - sun
        - timezone
      title: ChargeWeeklyPolicySchema
      type: object
    ChargePolicySchema:
      properties:
        charge_percentage:
          title: Charge Percentage
          type: integer
        charge_deadline:
          format: time
          title: Charge Deadline
          type: string
      required:
        - charge_percentage
        - charge_deadline
      title: ChargePolicySchema
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````